# Run tests in check section
# disable for bootstrapping
%bcond_with check
%global prefix  /usr

%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif


Name:           deepin-authenticate
Version:        1.2.41
Release:        1%{?dist}
Summary:        Used to adapt fingerprint, face and other authentication methods
License:        GPLv3
URL:            %{gourl}
Source0:        %{name}-%{version}.tar.gz

Patch1000:      0001-fix-for-UonioTech.patch

BuildRequires:  compiler(go-compiler)
BuildRequires:  iso-codes
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pam-devel
BuildRequires:  go-gir-generator
BuildRequires:  json-c-devel
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  golang-github-msteinert-pam-devel
#BuildRequires:  gocode
BuildRequires:  golang-dbus
BuildRequires:  golang-x-image-devel
BuildRequires:  golang-github-rickb777-date-devel
BuildRequires:  golang-github-mattn-go-sqlite3-devel
BuildRequires:  golang-gopkg-alecthomas-kingpin-devel
BuildRequires:  golang-github-cryptix-wav-devel
BuildRequires:  golang-github-disintegration-imaging-devel
BuildRequires:  golang-github-fogleman-gg-devel
BuildRequires:  golang-github-gosexy-gettext-devel
BuildRequires:  golang-github-nfnt-resize-devel
BuildRequires:  deepin-gettext-tools
BuildRequires:  golang-github-linuxdeepin-go-dbus-factory-devel
BuildRequires:  go-lib-devel
BuildRequires:  golang-github-fsnotify-fsnotify-devel
BuildRequires:  golang-github-stretchr-testify-devel 


%description
In order to unify the authentication interface,
this interface is designed to adapt to fingerprint, face and other authentication methods.

%prep
%setup -q
%patch1000 -p1

%build
BUILDID="0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')"
export GOPATH=/usr/share/gocode
%make_build GO_BUILD_FLAGS=-trimpath GOBUILD="go build -compiler gc -ldflags \"-B $BUILDID\""

%install
export GOPATH=/usr/share/gocode
%make_install PAM_MODULE_DIR=%{_libdir}/security GOBUILD="go build -compiler gc -ldflags \"-B $BUILDID\""
#cp %{buildroot}/%{_datadir}/deepin-authentication %{buildroot}/%{_prefix}/lib/deepin-authenticate

%find_lang deepin-authentication

%files -f deepin-authentication.lang
%doc README.org
%license

%{_prefix}/lib/deepin-authenticate/deepin-authentication
#%{_prefix}/lib/deepin-authenticate/common-auth-temp
#%{_bindir}/pam-conf-tool
#%{_sysconfdir}/deepin-authenticate/pam-tool/*.conf
%{_bindir}/app-type-tool
%{_datadir}/deepin-authentication/*
%{_datadir}/dbus-1/system.d/*.conf
%{_prefix}/lib/systemd/system/*.service
%{_datadir}/dbus-1/system-services
%{_sysconfdir}/pam.d/deepin_pam_unix
%{_localstatedir}/lib/deepin/authenticate/config.json
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/security/pam_deepin_authentication.so
%{_var}/lib/deepin/authenticate/blacklist
%{_var}/lib/deepin/authenticate/pam-modules

%changelog
* Thu Oct 14 2021 Zhang taikun <zhangtaikun@uniontech.com> - 1.2.40-1
- Build in 1.2.40
